<script>
	import Sugar from 'sugar'
	// console.log(Sugar.Number.round)

	let agregadoGruesoTamaño = "3/4"
	let piedraGrandeTamaño = 4
	let resistencia = 210

	$: agregadoGruesoPeso = resistencia == 210 ? 983 : 954
	$: agregadoFinoPeso = resistencia == 210 ? 1028 : 997
	let piedraGrandePeso = 0
	let aguaPeso = 166
	$: cementoPeso = resistencia == 210 ? 263 : 332

	let agregadoGruesoValor = 1750
	let agregadoFinoValor = 1650
	let piedraGrandeValor = 1750
	let cementoBolsaValor = 42.5
	let factor = 1.1


	let largo = 10
	let ancho = 0.4
	let altura = 3

	$: volumen = largo * ancho * altura
	$: aguaPorBolsa = aguaPeso / (cementoPeso / cementoBolsaValor)

	$: agregadoGruesoVolumen = (agregadoGruesoPeso / agregadoGruesoValor) * factor * volumen
	$: agregadoFinoVolumen = (agregadoFinoPeso / agregadoFinoValor) * factor * volumen
	$: piedraGrandeVolumen = (piedraGrandePeso / piedraGrandeValor) * factor * volumen
	$: aguaVolumen = aguaPeso * factor * volumen
	$: cementoBolsas = (cementoPeso / cementoBolsaValor) * factor * volumen


</script>


<h1 class="font-bold">Zapatas para columnas y muros de contención</h1>

<hr class="my-4">

<div class="contenedor flex divide-x divide-gray-400">
	<div class="introduccion p-2">

		<h2 class="mb-2 text-red-600">Introdución de Datos</h2>

		<table id="valores" class="table-auto">
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Tamaño máximo del agregado grueso:</td>
				<td class="px-4 py-1 border bg-gray-100">{agregadoGruesoTamaño}"</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Resistencia a la Compresión: </td>
				<td class="px-4 py-1 border bg-gray-100">
				<div class="grid  grid-rows-2 gap-2">
				<label>
					<input type="radio" name="gender" value="{210}" bind:group="{resistencia}">
					<span>210 kg/cm2</span>
				</label>
				<label>
					<input type="radio" name="gender" value="{280}" bind:group="{resistencia}">
					<span>280 kg/cm2</span>
				</label>
				</div>
				</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Largo (m)</td>
				<td class="p-1 border bg-gray-100">
					<input class="bg-white p-1 w-full px-3" type="number" bind:value="{largo}" step="0.1">
				</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Ancho (m)</td>
				<td class="p-1 border bg-gray-100">
					<input class="bg-white p-1 w-full px-3" type="number" bind:value="{ancho}" step="0.1">
				</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Altura/Profundidad (m)</td>
				<td class="p-1 border bg-gray-100">
					<input class="bg-white p-1 w-full px-3" type="number" bind:value="{altura}" step="0.1">
				</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Volumen total (m3)</td>
				<td class="px-4 py-1 border bg-gray-100">{Sugar.Number.round(volumen,1)}</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Agua por bolsa de cemento (l)</td>
				<td class="px-4 py-1 border bg-gray-100">{Sugar.Number.round(aguaPorBolsa,1)} litros</td>
			</tr>
		</table>

	</div>


	<div class="resultados p-2">

		<h2 class="mb-2 text-red-600">Resultados</h2>

		<table id="componente" class="table-fixed">
			<thead class="bg-gray-100">
				<tr>
					<th class="p-4">Componentes del concreto por m3</th>
					<th class="p-4">Peso (kg)</th>
					<th class="p-4">Para la Obra (con un desperdicio del 10%)</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="border p-1">Agregado grueso (piedra chancada)</td>
					<td class="border p-1">{agregadoGruesoPeso}</td>
					<td class="border p-1">{Sugar.Number.round(agregadoGruesoVolumen,2)} m3</td>
				</tr>
				<tr>
					<td class="border p-1">Agregado fino (arena gruesa)</td>
					<td class="border p-1">{agregadoFinoPeso}</td>
					<td class="border p-1">{Sugar.Number.round(agregadoFinoVolumen,2)} m3</td>
				</tr>
				<!-- <tr>
					<td class="border p-1">Piedra Grande (10") </td>
					<td class="border p-1">{piedraGrandePeso}</td>
					<td class="border p-1">{Sugar.Number.round(piedraGrandeVolumen,1)} m3</td>
				</tr> -->
				<tr>
					<td class="border p-1">Agua</td>
					<td class="border p-1">{aguaPeso}</td>
					<td class="border p-1">{Sugar.Number.round(aguaVolumen,2)}</td>
				</tr>
				<tr>
					<td class="border p-1">Cemento</td>
					<td class="border p-1">{cementoPeso}</td>
					<td class="border p-1">{Sugar.Number.round(cementoBolsas,2)} bolsas</td>
				</tr>
			</tbody>
		</table>


	</div>

</div>
